import axios from 'axios'

// 获取所有组织数据(envVar:环境变量)
export function getOrganizationData (envVar) {
  return axios({
    method: 'get',
    // 环境变量为‘production’的场合访问192的api域,否则访问191的api域
    // url: envVar === 'production' ? 'http://192.168.0.192/api/Foreign/getDepartmentList' : 'http://192.168.0.191/api/Foreign/getDepartmentList',
    url: 'http://192.168.0.191/api/Foreign/getDepartmentList',
    params: {
      language: 'cn',
      master_type: 'department'
    },
    headers: { 'Content-Type': 'application/json' }
  })
}

// 获取所有员工数据(envVar:环境变量)
export function getEmpData (envVar) {
  return axios({
    method: 'get',
    // 环境变量为‘production’的场合访问192的api域,否则访问191的api域
    // url: envVar === 'production' ? 'http://192.168.0.192/api/Foreign/get' : 'http://192.168.0.191/api/Foreign/get',
    url: 'http://192.168.0.191/api/Foreign/get',
    params: {
      language: 'cn',
      job_status: '0'
    },
    headers: { 'Content-Type': 'application/json' }
  })
}
